Subject: bug#53729: 29.0.50; Tamil text not shaped in modeline

From: Visuwesh <[email-masked]>
Date: Wed, 16 Feb 2022 19:36:00 +0530

[செவ்வாய், பிப்ரவரி 15 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 15 Feb 2022 07:17:12 +0530
>> 
>> > Looks like the rendering of the file name is affected by the non-Tamil
>> > text that follows it?
>> >
>> 
>> And it looks like it is not just any non-Tamil text that affects it but
>> only image like extensions?  For example, if the extension is .txt, .sh,
>> .c, .el, .svg, .djvu, then the buffer name is shaped properly.  But if I
>> use the extensions .tiff, .png, .jpeg, .pdf, .jpg, then the buffer name
>> is not shaped.  The file I renamed was a bash script.
>
> The display code which renders this doesn't know anything about the
> meaning of the extensions, it only cares about the characters it needs
> to display.  So if image-file extensions tend to cause this, it's
> because of the characters that are part of the extensions, or maybe
> because having an image file visited by the buffer affects the mode
> line in some other way that causes this issue.
>
>> > But I cannot reproduce this on my system, so it is hard to tell what
>> > is going on here.
>> 
>> That is really unfortunate.
>
> Maybe someone else can reproduce this?

I will try reproducing it in latest master by the end of this week, and
maybe Emacs 28 pretest on Windows (compiling master on Windows is
unfortunately not feasible for me), and report back.  I will also see if
I can ask someone else to reproduce this in Linux.